
package WebScraping;

import static WebScraping.DebugProcess.logger;
import java.util.logging.Formatter;
import java.util.logging.Handler;
import java.util.logging.Logger;

/**
 *
 * @author kgto
 */


public class DebugProcessT01 {
    
    public static void main(String[] args) {
        
        DebugProcessT01 test = new DebugProcessT01();
        test.testdebuglog_set();
        
        System.out.println("LoggerName : " + logger.getName());
        System.out.println("LoggerLevel : " + logger.getLevel());
        System.out.println("Parent : " + logger.getParent().getName());
        
        Handler[] handlers = logger.getHandlers();
        for(int i = 0 ; i < handlers.length ; i++) {
            System.out.println(handlers[i] + "'s Level: " + handlers[i].getLevel());
            
            Formatter formatter = handlers[i].getFormatter();
            System.out.println("\tFormatter: " + formatter.toString());
        }
        
        test.testhtmlinfo();
    }
    
    public DebugProcessT01() {
    }
    
    void testdebuglog_set() {
        DebugProcess.debuglog_set();
    }
    
    void testhtmlinfo() {
        DebugProcess.htmlinfo("testhtmlinfo");
    }
    
}
